com.beaglebuddy.id3.v23.frame_body

## Enum ID3v23FrameBodySynchronizedLyricsText.ContentType

- java.lang.Object
- - java.lang.Enum<ID3v23FrameBodySynchronizedLyricsText.ContentType>
  - - com.beaglebuddy.id3.v23.frame_body.ID3v23FrameBodySynchronizedLyricsText.ContentType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ID3v23FrameBodySynchronizedLyricsText.ContentType>
  Enclosing class:
    ID3v23FrameBodySynchronizedLyricsText

      public static enum ID3v23FrameBodySynchronizedLyricsText.ContentType
      extends java.lang.Enum<ID3v23FrameBodySynchronizedLyricsText.ContentType>

  ID3v2.3 types of synchronized lyrics/text.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHORD` chord (e.g.
    `EVENT` events (e.g.
    `INFORMATION` trivia/'pop up' information
    `LYRICS` lyrics
    `MOVEMENT` movement/part name (e.g.
    `OTHER` other
    `TEXT` text transcription

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ID3v23FrameBodySynchronizedLyricsText.ContentType` | `getContentType(byte contentType)` convert an integral value to its corresponding content type enum.
    `java.lang.String` | `getDescription()` gets the description of the synchronized lyric type.
    `java.lang.String` | `toString()` gets a string representation of the synchronized lyric type enum.
    `static ID3v23FrameBodySynchronizedLyricsText.ContentType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ID3v23FrameBodySynchronizedLyricsText.ContentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final ID3v23FrameBodySynchronizedLyricsText.ContentType OTHER

      other

    - #### LYRICS

          public static final ID3v23FrameBodySynchronizedLyricsText.ContentType LYRICS

      lyrics

    - #### TEXT

          public static final ID3v23FrameBodySynchronizedLyricsText.ContentType TEXT

      text transcription

    - #### MOVEMENT

          public static final ID3v23FrameBodySynchronizedLyricsText.ContentType MOVEMENT

      movement/part name (e.g. Adagio)

    - #### EVENT

          public static final ID3v23FrameBodySynchronizedLyricsText.ContentType EVENT

      events (e.g. "Don Quijote enters the stage")

    - #### CHORD

          public static final ID3v23FrameBodySynchronizedLyricsText.ContentType CHORD

      chord (e.g. "Bb F Fsus")

    - #### INFORMATION

          public static final ID3v23FrameBodySynchronizedLyricsText.ContentType INFORMATION

      trivia/'pop up' information

  - ### Method Detail

    - #### values

          public static ID3v23FrameBodySynchronizedLyricsText.ContentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ID3v23FrameBodySynchronizedLyricsText.ContentType c : ID3v23FrameBodySynchronizedLyricsText.ContentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ID3v23FrameBodySynchronizedLyricsText.ContentType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDescription

          public java.lang.String getDescription()

      gets the description of the synchronized lyric type.
      Returns:
        the description of the synchronized lyric type.

    - #### getContentType

          public static ID3v23FrameBodySynchronizedLyricsText.ContentType getContentType(byte contentType)
                                                                                  throws java.lang.IllegalArgumentException

      convert an integral value to its corresponding content type enum.
      Parameters:
        `contentType` - integral value to be converted to an ContentType enum.
      Returns:
        the ContentType enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the integral value does not correspond to a valid ContentType.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the synchronized lyric type enum.
      Overrides:
        `toString` in class `java.lang.Enum<ID3v23FrameBodySynchronizedLyricsText.ContentType>`
      Returns:
        a string representation of the synchronized lyric type enum.